From 6538d48b68380e033926fee021316c0071d436c1 Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Mon, 15 Jun 2009 13:11:24 +0200
Subject: [PATCH] fedora-release: inlcude yum repositories for ARM.

Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 fedora-release-11-arm.patch |  106 +++++++++++++++++++++++++++++++++++++++++++
 fedora-release.spec         |   11 ++++-
 2 files changed, 116 insertions(+), 1 deletions(-)
 create mode 100644 fedora-release-11-arm.patch

diff --git a/fedora-release-11-arm.patch b/fedora-release-11-arm.patch
new file mode 100644
index 0000000..180f92c
--- /dev/null
+++ b/fedora-release-11-arm.patch
@@ -0,0 +1,106 @@
+diff -urp yum.repos.d.orig/fedora-rawhide.repo yum.repos.d/fedora-rawhide.repo
+--- yum.repos.d.orig/fedora-rawhide.repo	2009-05-12 04:15:33.000000000 +0530
++++ yum.repos.d/fedora-rawhide.repo	2009-06-15 16:25:53.000000000 +0530
+@@ -20,21 +20,9 @@
+ 
+ [rawhide]
+ name=Fedora - Rawhide - Developmental packages for the next Fedora release
+-failovermethod=priority
+-#baseurl=http://download.fedoraproject.org/pub/fedora/linux/development/$basearch/os/
+-mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=rawhide&arch=$basearch
++mirrorlist=http://mirrorlist.fedora-arm.wantstofly.org/?repo=rawhide&arch=$basearch
+ enabled=0
+ gpgcheck=0
+-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$basearch
+-
+-[rawhide-debuginfo]
+-name=Fedora - Rawhide - Debug
+-failovermethod=priority
+-#baseurl=http://download.fedoraproject.org/pub/fedora/linux/development/$basearch/debug/
+-mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=rawhide-debug&arch=$basearch
+-enabled=0
+-gpgcheck=0
+-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$basearch
+ 
+ [rawhide-source]
+ name=Fedora - Rawhide - Source
+diff -urp yum.repos.d.orig/fedora.repo yum.repos.d/fedora.repo
+--- yum.repos.d.orig/fedora.repo	2009-05-12 04:15:33.000000000 +0530
++++ yum.repos.d/fedora.repo	2009-06-15 16:28:39.000000000 +0530
+@@ -1,22 +1,9 @@
+ [fedora]
+ name=Fedora $releasever - $basearch
+-failovermethod=priority
+-#baseurl=http://download.fedoraproject.org/pub/fedora/linux/releases/$releasever/Everything/$basearch/os/
+-mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=fedora-$releasever&arch=$basearch
++mirrorlist=http://mirrorlist.fedora-arm.wantstofly.org/?repo=fedora-$releasever&arch=$basearch
+ enabled=1
+ metadata_expire=7d
+-gpgcheck=1
+-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$basearch
+-
+-[fedora-debuginfo]
+-name=Fedora $releasever - $basearch - Debug
+-failovermethod=priority
+-#baseurl=http://download.fedoraproject.org/pub/fedora/linux/releases/$releasever/Everything/$basearch/debug/
+-mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=fedora-debug-$releasever&arch=$basearch
+-enabled=0
+-metadata_expire=7d
+-gpgcheck=1
+-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$basearch
++gpgcheck=0
+ 
+ [fedora-source]
+ name=Fedora $releasever - Source
+diff -urp yum.repos.d.orig/fedora-updates.repo yum.repos.d/fedora-updates.repo
+--- yum.repos.d.orig/fedora-updates.repo	2009-05-12 04:15:33.000000000 +0530
++++ yum.repos.d/fedora-updates.repo	2009-06-15 16:27:26.000000000 +0530
+@@ -1,20 +1,8 @@
+ [updates]
+ name=Fedora $releasever - $basearch - Updates
+-failovermethod=priority
+-#baseurl=http://download.fedoraproject.org/pub/fedora/linux/updates/$releasever/$basearch/
+-mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=updates-released-f$releasever&arch=$basearch
++mirrorlist=http://mirrorlist.fedora-arm.wantstofly.org/?repo=updates-released-f$releasever&arch=$basearch
+ enabled=1
+-gpgcheck=1
+-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$basearch
+-
+-[updates-debuginfo]
+-name=Fedora $releasever - $basearch - Updates - Debug
+-failovermethod=priority
+-#baseurl=http://download.fedoraproject.org/pub/fedora/linux/updates/$releasever/$basearch/debug/
+-mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=updates-released-debug-f$releasever&arch=$basearch
+-enabled=0
+-gpgcheck=1
+-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$basearch
++gpgcheck=0
+ 
+ [updates-source]
+ name=Fedora $releasever - Updates Source
+diff -urp yum.repos.d.orig/fedora-updates-testing.repo yum.repos.d/fedora-updates-testing.repo
+--- yum.repos.d.orig/fedora-updates-testing.repo	2009-05-12 04:15:33.000000000 +0530
++++ yum.repos.d/fedora-updates-testing.repo	2009-06-15 16:28:08.000000000 +0530
+@@ -1,20 +1,8 @@
+ [updates-testing]
+ name=Fedora $releasever - $basearch - Test Updates
+-failovermethod=priority
+-#baseurl=http://download.fedoraproject.org/pub/fedora/linux/updates/testing/$releasever/$basearch/
+-mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=updates-testing-f$releasever&arch=$basearch
+-enabled=0
+-gpgcheck=1
+-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$basearch
+-
+-[updates-testing-debuginfo]
+-name=Fedora $releasever - $basearch - Test Updates Debug
+-failovermethod=priority
+-#baseurl=http://download.fedoraproject.org/pub/fedora/linux/updates/testing/$releasever/$basearch/debug/
+-mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=updates-testing-debug-f$releasever&arch=$basearch
++mirrorlist=http://mirrorlist.fedora-arm.wantstofly.org/?repo=updates-testing-f$releasever&arch=$basearch
+ enabled=0
+-gpgcheck=1
+-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$basearch
++gpgcheck=0
+ 
+ [updates-testing-source]
+ name=Fedora $releasever - Test Updates Source
diff --git a/fedora-release.spec b/fedora-release.spec
index 2729c07..2e58573 100644
--- a/fedora-release.spec
+++ b/fedora-release.spec
@@ -4,7 +4,7 @@
 Summary:	Fedora release files
 Name:		fedora-release
 Version:	11
-Release:	1
+Release:	1.fa1
 License:	GPLv2
 Group:		System Environment/Base
 URL:		http://fedoraproject.org
@@ -14,6 +14,7 @@ Provides:	redhat-release
 Provides:	system-release = %{version}-%{release}
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildArch:	noarch
+Patch1:		fedora-release-11-arm.patch
 
 %description
 Fedora release files such as yum configs and various /etc/ files that
@@ -21,6 +22,7 @@ define the release.
 
 %prep
 %setup -q
+%patch1 -p1
 
 %build
 
@@ -36,6 +38,7 @@ echo >> $RPM_BUILD_ROOT/etc/issue
 ln -s fedora-release $RPM_BUILD_ROOT/etc/redhat-release
 ln -s fedora-release $RPM_BUILD_ROOT/etc/system-release
 
+%ifnarch %{arm}
 install -d -m 755 $RPM_BUILD_ROOT/etc/pki/rpm-gpg
 
 install -m 644 RPM-GPG-KEY* $RPM_BUILD_ROOT/etc/pki/rpm-gpg/
@@ -49,6 +52,7 @@ for arch in i386 x86_64 ppc ppc64
 done
 ln -s RPM-GPG-KEY-fedora-%{dist_version}-primary RPM-GPG-KEY-fedora
 popd
+%endif
 
 install -d -m 755 $RPM_BUILD_ROOT/etc/yum.repos.d
 for file in fedora*repo ; do
@@ -80,10 +84,15 @@ rm -rf $RPM_BUILD_ROOT
 %config(noreplace) %attr(0644,root,root) /etc/issue
 %config(noreplace) %attr(0644,root,root) /etc/issue.net
 %config %attr(0644,root,root) /etc/rpm/macros.dist
+%ifnarch %{arm}
 %dir /etc/pki/rpm-gpg
 /etc/pki/rpm-gpg/*
+%endif
 
 %changelog
+* Mon Jun 15 2009 Kedar Sovani <kedars@marvell.com> -  - 11-1.fa1
+- Yum repositories for Fedora-ARM.
+
 * Mon May 11 2009 Jesse Keating <jkeating@redhat.com> - 11-1
 - First attempt at release candidate.
 - Drop the compose configs, that's in spin-kickstarts
-- 
1.5.5.6

